VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "SMS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
'
' per controllare se l'utente  loggato
Private m_isLogged As Boolean
'
' membri pubblici per i vari settaggi:
Public username As String
Public password As String


Public Function GetCreditDLL() As String
   Dim strCredit As String * 256
   Dim lngLength As Long
   
   Let lngLength = vodafone_get_credit(strCredit)
   Let GetCreditDLL = Left$(strCredit, lngLength)
End Function

Public Function GetLogin() As Boolean
   Dim retVal As Boolean
   
   Let retVal = False
   If Len(username) = 0 Or Len(password) = 0 Then
      Let GetLogin = retVal
      Exit Function
   End If
   Let retVal = vodafone_init_account(username, password)
   If retVal Then
      m_isLogged = True
   Else
      m_isLogged = False
   End If
   Let GetLogin = m_isLogged
End Function

Public Function GetLoginName() As String
   Dim strNome As String * 32
   Dim lngLength As Long
   
   If m_isLogged Then
      Let lngLength = vodafone_get_login(strNome)
      Let GetLoginName = Left$(strNome, lngLength)
   Else
      Let GetLoginName = vbNullString
   End If
End Function

Public Function GetLogout() As Boolean
   If m_isLogged Then
      Let GetLogout = vodafone_destroy_account()
   Else
      Let GetLogout = False
   End If
End Function


Public Function GetMaxSMSLength() As Long
   Let GetMaxSMSLength = vodafone_get_max_sms_length()
End Function

Public Function GetTotSuccessfulSMS() As Long
   Let GetTotSuccessfulSMS = vodafone_get_tot_sms_sent()
End Function
Public Function GetTotErrorSMS() As Long
   Let GetTotErrorSMS = vodafone_get_tot_sms_error()
End Function
Public Function IsLoginActive() As Boolean
   Let IsLoginActive = m_isLogged
End Function

Public Function SendSMS(ByRef phone As String, ByRef Message As String) As Boolean
   Dim retVal As Boolean
   
   Let retVal = False
   If m_isLogged Then
      Let retVal = vodafone_send_sms(phone, Message)
   End If
   Let SendSMS = retVal
End Function

Private Sub Class_Initialize()
   Let m_isLogged = False
End Sub


